//*import jwt from 'jsonwebtoken';
import loginService from '../services/loginService.js';
import { ZodError } from "zod";
import { sendError, sendResponse } from '../utils/messages.js';
import { zodCommon } from '../utils/zodCommonError.js';
import { APIErro } from '../utils/ApiError.js';

class loginController {
  static logar = async (req, res) => {
    try{
      const usuario =  await loginService.login(req.body);

      return sendResponse(res,200, {...usuario});
  }catch(err){
    console.error(err)
      if(err instanceof ZodError) {
          return sendError(res,401, await zodCommon(err));
        }              
      }      
      return sendError(res,500,"Ocorreu um erro interno no servidor!");
  }  

  static logout = async (req, res) => {
    try{
      const usuario =  await loginService.logout(req.body);

      return sendResponse(res,200, {...usuario});
  }catch(err){
    console.error(err)
      if(err instanceof ZodError) {
          return sendError(res,401, await zodCommon(err));
        }              
      }      
      return sendError(res,500,"Ocorreu um erro interno no servidor!");
  }

  static token = async (req, res) => {
    try{
      const usuario =  await loginService.token(req.body);

      return sendResponse(res,200, {...usuario});
  }catch(err){
    console.error(err)
      if(err instanceof ZodError) {
          return sendError(res,401, await zodCommon(err));

        }else if (err instanceof APIErro) {
          const { code, errors } = err.toJson();
          return sendError(res, code, ...errors);
          
        }              
      }      
      return sendError(res,500,"Ocorreu um erro interno no servidor!");
  }  
}


export default loginController;
