const arquivosSchema = {
    getArquivos: {
        type: "object",
        example: {
            "error": false,
            "code": 200,
            "message": "Requisição bem sucedida.",
            "errors": [],
            "data": [
                {
                    "id": 1,
                    "url": "1/conteudo/teste.pdf",
                    "tipo": "conteúdo",
                    "aula_id": 1
                },
                {
                    "id": 2,
                    "url": "1/gabarito/teste.pdf",
                    "tipo": "gabarito",
                    "aula_id": 1
                },
                {
                    "id": 35,
                    "url": "1/conteudo/pdf.pdf",
                    "tipo": "conteudo",
                    "aula_id": 1
                },
                {
                    "id": 36,
                    "url": "1/gabarito/pdf.pdf",
                    "tipo": "gabarito",
                    "aula_id": 1
                }
            ]
        }
    },
    updateAulaRes: {
        type: "object",
        example: {
            "error": false,
            "code": 200,
            "message": "Aula atualizada com sucesso.",
            "errors": [],
            "data": {
                "id": 1,
                "modulo_id": 1,
                "titulo": "string",
                "video": "https://www.youtube.com/watch?v=glcIXLQ7SAI",
                "descricao": "string"
            }
        }
    },
    deleteArquivoRes: {
        type: "object",
        example: {
            "error": false,
            "code": 200,
            "message": "Requisição bem sucedida.",
            "errors": [],
            "data": {
                "id": 35,
                "url": "1/conteudo/pdf.pdf",
                "tipo": "conteudo",
                "aula_id": 1
            }
        }
    },
    statusAulaRes: {
        type: "object",
        example: {
            "error": false,
            "code": 201,
            "message": "Aula assistida.",
            "errors": [],
            "data": {
                "id": 1,
                "aluno_id": 1,
                "aula_id": 4,
                "feito": true
            }
        }
    },
    postArquivos: {
        type: "object",
        example: {
            "error": false,
            "code": 201,
            "message": "Requisição bem sucedida, recurso foi criado",
            "errors": [],
            "data": "2 arquivos foram salvos."
        }
    },

    getPDF: {
        type: "object",
        example: {
            "error": false,
            "code": 201,
            "message": "Requisição bem sucedida, recurso foi criado",
            "errors": [],
            "data": "Arquivo PDF."

        }
    },

    // erros
    erro404arquivos: {
        "application/json": {
            schema: {
                type: "object",
                example: {
                    "data": [],
                    "error": true,
                    "code": 404,
                    "message": "O recurso solicitado não foi encontrado no servidor.",
                    "errors": [
                        {
                            "message": "Nenhum arquivo encontrado."
                        }
                    ]
                }
            }
        }
    },

    // erros
    erro404aulanaoExiste: {
        "application/json": {
            schema: {
                type: "object",
                example: {
                    "data": [],
                    "error": true,
                    "code": 404,
                    "message": "O recurso solicitado não foi encontrado no servidor.",
                    "errors": [
                        {
                            "message": "A aula informado não existe."
                        }
                    ]
                }
            }
        }
    },

    erro400arquivo: {
        "application/json": {
            schema: {
                type: "object",
                example: {
                    "error": true,
                    "code": 400,
                    "message": "Requisição com sintaxe incorreta ou outros problemas.",
                    "errors": [],
                    "data": []
                }
            }
        }
    },
};


export default arquivosSchema;
