import { prisma } from "../configs/prismaClient.js";

class ArquivosRepository {

    static async BuscarArquivos(id) {
        return await prisma.arquivos.findMany({
            where: {
                aula_id: id
            }
        });
    }

    static async deletarArquivo(id) {
        return await prisma.arquivos.delete({
            where:{
                id:id
            },
            select:{
                id:true,
                url:true,
                tipo:true,
                aula_id:true
            }
        });
    }

    static async buscarPorId(id) {
        return await prisma.arquivos.findUnique({
            where: { id: id }
        });
    }

    static async buscarPorUrl(id, url) {
        return await prisma.arquivos.findMany({
            where: { aula_id: id, url: url }
        });
    }

    static async create(data_insert) {
        const insert = await prisma.arquivos.createMany({
            data: data_insert
        })
        return insert.count
    }


    static async aulaExists(id) {
        return await prisma.aula.findUnique({
            where: { id: id }
        });
    }

}


export default ArquivosRepository;
