import {prisma} from '../configs/prismaClient.js';

class LoginRepository {
  static async login(filtro){
    return await prisma.usuario.findUnique(filtro)
  }

  static async permissoes(filtro){
    return await prisma.rota.findMany(filtro)
  }

  static async salvarToken(filtro) {
    return await prisma.usuario.update(filtro);
  };

  static async buscarUsuarioPorId(id) {
  
    return await prisma.usuario.findUnique({
        where: { id:id },
        select: {
            id: true,
            nome: true,
            matricula: true,
            active: true,
            senha: true,
            grupo_id: true,
            refresh_token: true
        },
    });
};
}

export default LoginRepository;
