import express from "express";
import systemUsuarioController from "../controllers/UsuarioController.js";
import AuthMiddleware from "../middlewares/AuthMiddleware.js";
import PermissaoMiddleware from "../middlewares/permissaoMiddleware.js";

import multer from "multer";

const multerConfig = multer()

const storage = multer.memoryStorage();
const upload = multer({ storage: storage });


/**
 * usuario é padrão não tem nada de especial, so lembre de ser possivel filtar no get por
 * nome, matricula e active, grupo_id. o inserir_csv o lucas vai fazer.
*/

const router = express.Router();

router
  .get("/usuario",AuthMiddleware,PermissaoMiddleware ,systemUsuarioController.listar)
  .get("/usuario/:id",AuthMiddleware,PermissaoMiddleware, systemUsuarioController.buscarPorId)
  .post("/usuario",AuthMiddleware,PermissaoMiddleware, systemUsuarioController.criarUsuario)
  .post("/usuario/csv",AuthMiddleware,PermissaoMiddleware, upload.single('file-csv'), systemUsuarioController.inserir_csv)
  .patch("/usuario/:id",AuthMiddleware,PermissaoMiddleware, systemUsuarioController.atualizar)
  .patch("/usuario/senha/:id",AuthMiddleware,PermissaoMiddleware, systemUsuarioController.atualizarSenha)


 
  export default router;