import { describe, expect, jest, test } from '@jest/globals';
import ArquivosRepository from '../../repositories/ArquivosRepository.js';
import ArquivosService from '../../services/ArquivosService.js';
import ArquivosSchema from '../../schemas/ArquivosSchema.js';

jest.mock('../../repositories/ArquivosRepository.js', () => ({
    buscarPorId: jest.fn(),
    deletarArquivo: jest.fn(),
    buscarPorUrl: jest.fn(),
}));

jest.mock('../../schemas/ArquivosSchema.js', () => ({
    idSchema: {
        parse: jest.fn(),
    },
    
}));

beforeEach(() => {
    jest.clearAllMocks();
});

describe('6 - (DELETE) Testando o método que deleta uma aula. -> LINHA 294', () => {


    test('2 - Deve lançar um erro se a pasta não existir. -> LINHA 319', async () => {
        const idDoParam = { id: 1 };

        ArquivosSchema.idSchema.parse.mockReturnValue(idDoParam);
        ArquivosRepository.buscarPorId.mockReturnValue({ id: idDoParam.id });
        ArquivosRepository.deletarArquivo.mockResolvedValue({id:1,url:"teste/teste.txt"});
        ArquivosRepository.buscarPorUrl.mockResolvedValue([]); 

        const data = await ArquivosService.deletar(idDoParam)

        expect(data).toEqual({id:1,url:"teste/teste.txt"});
    });
});
