import commonResponses from "../../docs/schemas/commonResponses";

describe("commonResponses", () => {
  
  const schemaRef = "#/components/schemas/SomeSchema";

  it("deve usar schemaRef quando passado para a resposta 200", () => {
    const response = commonResponses[200](schemaRef);
    expect(response.content["application/json"].schema.properties.data).toEqual({ $ref: schemaRef });
  });

  it("deve usar schemaRef quando passado para a resposta 201", () => {
    const response = commonResponses[201](schemaRef);
    expect(response.content["application/json"].schema.properties.data).toEqual({ $ref: schemaRef });
  });

  it("deve usar schemaRef quando passado para a resposta 400", () => {
    const response = commonResponses[400](schemaRef);
    expect(response.content["application/json"].schema.properties.data).toEqual({ $ref: schemaRef });
  });

  it("deve usar schemaRef quando passado para a resposta 401", () => {
    const response = commonResponses[401](schemaRef);
    expect(response.content["application/json"].schema.properties.data).toEqual({ $ref: schemaRef });
  });

  it("deve usar schemaRef quando passado para a resposta 404", () => {
    const response = commonResponses[404](schemaRef);
    expect(response.content["application/json"].schema.properties.data).toEqual({ $ref: schemaRef });
  });

  it("deve usar schemaRef quando passado para a resposta 498", () => {
    const response = commonResponses[498](schemaRef);
    expect(response.content["application/json"].schema.properties.data).toEqual({ $ref: schemaRef });
  });

  it("deve usar schemaRef quando passado para a resposta 500", () => {
    const response = commonResponses[500](schemaRef);
    expect(response.content["application/json"].schema.properties.data).toEqual({ $ref: schemaRef });
  });

  it("deve usar um array padrão quando schemaRef não for passado para a resposta 200", () => {
    const response = commonResponses[200]();
    expect(response.content["application/json"].schema.properties.data).toEqual({ type: "array", items: {}, example: [] });
  });

  it("deve usar um array padrão quando schemaRef não for passado para a resposta 201", () => {
    const response = commonResponses[201]();
    expect(response.content["application/json"].schema.properties.data).toEqual({ type: "array", items: {}, example: [] });
  });

  it("deve usar um array padrão quando schemaRef não for passado para a resposta 400", () => {
    const response = commonResponses[400]();
    expect(response.content["application/json"].schema.properties.data).toEqual({ type: "array", items: {}, example: [] });
  });

  it("deve usar um array padrão quando schemaRef não for passado para a resposta 401", () => {
    const response = commonResponses[401]();
    expect(response.content["application/json"].schema.properties.data).toEqual({ type: "array", items: {}, example: [] });
  });

  it("deve usar um array padrão quando schemaRef não for passado para a resposta 404", () => {
    const response = commonResponses[404]();
    expect(response.content["application/json"].schema.properties.data).toEqual({ type: "array", items: {}, example: [] });
  });

  it("deve usar um array padrão quando schemaRef não for passado para a resposta 498", () => {
    const response = commonResponses[498]();
    expect(response.content["application/json"].schema.properties.data).toEqual({ type: "array", items: {}, example: [] });
  });

  it("deve usar um array padrão quando schemaRef não for passado para a resposta 500", () => {
    const response = commonResponses[500]();
    expect(response.content["application/json"].schema.properties.data).toEqual({ type: "array", items: {}, example: [] });
  });

});
