import path from "path";
import request from 'supertest';
import app from '../../app';
import express from 'express';
import turmaService from "../../services/turmaService";
import { ZodError } from 'zod';
import faker from 'faker-br';
jest.mock('../../services/turmaService');

    describe.skip('GET ID /turma',  () => {
        describe("500",()=>{
            it("Dever retornar o erro 500 ao listar turma por id",async ()=> {
                turmaService.listarPorId.mockRejectedValue(new Error('Erro desconhecido'));
    
                const response = await request(app).get('/turma/1')
    
                expect(turmaService.listarPorId).toHaveBeenCalled();
                expect(response.status).toBe(500);
                expect(response.body.data).toBeDefined();
                expect(response.body.message).toBeDefined();
                expect(response.body.error).toEqual(true);
    
            });
        });

        describe('patch /turma',  () => {
            describe("500",()=>{
                it("Dever retornar o erro 500 ao tentar atualiza uma turma",async ()=> {
                    turmaService.atualizarTurma.mockRejectedValue(new Error('Erro desconhecido'));
        
                    const response = await request(app).patch('/turma/4')
        
        
                    expect(turmaService.atualizarTurma).toHaveBeenCalled();
                    expect(response.status).toBe(500);
                    expect(response.body.data).toBeDefined();
                    expect(response.body.message).toBeDefined();
                    expect(response.body.error).toEqual(true);
        
                });
            });
    });


describe.skip('turma Controller',  () => {
    describe('GET /turma',  () => {
        describe("500",()=>{
            it("Dever retornar o erro 500 ao listar todas as turmas",async ()=> {
                turmaService.listar.mockRejectedValue(new Error('Erro desconhecido'));

                const response = await request(app)
                .get('/turma')

                expect(turmaService.listar).toHaveBeenCalled();
                expect(response.status).toBe(500);
                expect(response.body.data).toBeDefined();
                expect(response.body.message).toBeDefined();
                expect(response.body.error).toEqual(true);

            });
        });
    });
});
});
